
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递 / iVAN</title>

    <meta name="description" content="AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递 ajax|request|对象|服务器|数据 AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递 以传统的传送表单数据的方式开始,本节介绍使用post方法发送数据,与服务器进行通信,而在这个过程中不会出现页面刷新现象.然后显示服务器相应的信息. 页面很简单,就是一个表单,要求用户输入姓名.性别.国家或地区.输入完毕用户可以提交表单.(具体图示见原文) 页面的HTML代码如下:&quot;http://www.w3.org/TR/1999/REC-html401–19 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ajax|request|对象|服务器|数据</p>
<p><b>AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递</b></p>
<p>以传统的传送表单数据的方式开始，本节介绍使用post方法发送数据，与服务器进行通信，而在这个过程中不会出现页面刷新现象。然后显示服务器相应的信息。</p>
<p>页面很简单，就是一个表单，要求用户输入姓名、性别、国家或地区。输入完毕用户可以提交表单。（具体图示见原文）</p>
<p>页面的HTML代码如下：<br />“http://www.w3.org/TR/1999/REC-html401–19991224/strict.dtd”&gt; <br />“text/javascript“ src=“/parkerriver/js/hack2.js”&gt;</p>
<h3>A Few Facts About Yourself...</h3>
<p>javascript:void%200&gt;<br />&lt;"setQueryString();sendData();return false"&gt;</p>
<p>First name:</p>
<p>Last name:</p>
<p>Gender:</p>
<p>Country of origin:</p>
<p>Send Data</p>
<p>其中 用来加载js文件。submit按钮将调用setQueryString()和sendData()这两个函数。他们的作用分别是取得并设置请求的数据格式、传送数据到服务器。hack2.js 文件中有两个函数的完整实现。下面的代码是函数setQueryString()：<br />
<br />function setQueryString(){</p>
<p>//initialize the top-level variable; also reset the variable to cover when</p>
<p>//the user clicks multiple times</p>
<p>queryString=“”;</p>
<p>var frm = document.forms[0];</p>
<p>var numberElements = frm.elements.length;</p>
<p>for(var i = 0; i &lt; numberElements; i++) {</p>
<p>if(i &lt; numberElements-1) {</p>
<p>queryString = frm.elements[i].name"="+frm.elements[i].value+"&amp;";</p>
<p>} else {</p>
<p>queryString = frm.elements[i].name"="+frm.elements[i].value;</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>这个函数的功能简单来说就是取得form中每个输入元素的值，将他们以一定的格式保存到queryString变量中。其格式形如：firstname=Bruce&amp;lastname=Perry&amp;gender=M&amp;country=USA.</p>
<p>当表单的元素个数发生变化时，函数也不必作出修改。</p>
<p>将表单中的数据存入queryString后，就可以通过http post向服务器发送请求了。接下来看一下这部分的代码。如前所述，提交表单时，调用setQueryString函数以后，接下来将调用函数sendData()：</p>
<p>var request;</p>
<p>var queryString; //用来保存表单数据</p>
<p>function sendData(){</p>
<p>setQueryString();</p>
<p>var url=“http://www.parkerriver.com/s/sender”;</p>
<p>httpRequest(“POST”,url,true);</p>
<p>}</p>
<p>//event handler for XMLHttpRequest</p>
<p>function handleCheck(){</p>
<p>if(request.readyState == 4){</p>
<p>if(request.status == 200){</p>
<p>alert(request.responseText);</p>
<p>} else {</p>
<p>alert(“A problem occurred with communicating between the XMLHttpRequest object and the server program.”;</p>
<p>}</p>
<p>}//end outer if</p>
<p>}</p>
<p>/* Initialize a Request object that is already constructed */</p>
<p>function initReq(reqType,url,bool){</p>
<p>/* Specify the function that will handle the HTTP response */</p>
<p>request.onreadystatechange=handleCheck;</p>
<p>request.open(reqType,url,bool);</p>
<p>request.setRequestHeader(“Content-Type”,</p>
<p>“application/x-www-form-urlencoded; charset=UTF-8”;</p>
<p>request.send(queryString);</p>
<p>}</p>
<p>/* Wrapper function for constructing a Request object.</p>
<p>Parameters:</p>
<p>reqType: The HTTP request type such as GET or POST.</p>
<p>url: The URL of the server program.</p>
<p>asynch: Whether to send the request asynchronously or not. */</p>
<p>function httpRequest(reqType,url,asynch){</p>
<p>//Mozilla-based browsers</p>
<p>if(window.XMLHttpRequest){</p>
<p>request = new XMLHttpRequest();</p>
<p>} else if (window.ActiveXObject){</p>
<p>request=new ActiveXObject(“Msxml2.XMLHTTP”;</p>
<p>if (! request){</p>
<p>request=new ActiveXObject(“Microsoft.XMLHTTP”;</p>
<p>}</p>
<p>}</p>
<p>//the request could still be null if neither ActiveXObject</p>
<p>//initializations succeeded</p>
<p>if(request){</p>
<p>initReq(reqType,url,asynch);</p>
<p>} else {</p>
<p>alert(“Your browser does not permit the use of all ”+</p>
<p>“of this application‘s features!”;}</p>
<p>}</p>
<p>函数httpRequest()用来检查客户的浏览器的request对象的类型。其中调用了函数initReq()，两者的参数是相同的。</p>
<p>代码request.onreadystatechange=handleResponse;用来指定处理响应的函数。稍后将介绍这个函数。接下来调用request对象的open()方法，为对象发送请求做准备。</p>
<p>The code can set any request headers after calling open(). In our case, we have to create a Content-Type header for a POST request.</p>
<p>设置Headers</p>
<p>在open函数调用后，代码将设置request haders。在本例中，我们将为post请求创建一个Content-Type header</p>
<p>注意：设置好的header是良好的习惯。</p>
<p>设置headers并发送请求的代码如下：</p>
<p>request.setRequestHeader("Content-Type",</p>
<p>“application/x-www-form-urlencoded; charset=UTF-8”;</p>
<p>request.send(queryString);</p>
<p>如果使用queryString的值作为参数，send方法就形如：send("firstname=Bruce&amp;lastname=Perry&amp;gender=M&amp;country=USA");</p>
<p>处理结果</p>
<p>发送完请求数据后，接下来要做的就是为用户显示结果了。这就是函数handleResponse()所要做的事情了（不要忘记函数initReq()中的这句：request.onreadystatechange=handleResponse;）。当request对象的readyState属性为4时，表示操作已经完成，然后检查一下HTTP 响应状态是不是200。该值表示HTTP请求成功。接下来弹出窗口用来显示响应结果responseText。这显然有些唐突，但我认为这样比较简单，相对那些功能复杂的例子来说更适合初学者。</p>
<p>//event handler for XMLHttpRequest</p>
<p>function handleResponse(){</p>
<p>if(request.readyState == 4){</p>
<p>if(request.status == 200){</p>
<p>alert(request.responseText); //弹出请求响应的数据</p>
<p>} else {</p>
<p>alert(“A problem occurred with communicating between ”+</p>
<p>“the XMLHttpRequest object and the server program.”;</p>
<p>}</p>
<p>}//end outer if</p>
<p>}</p>
<p>读者需要重点理解ajax的发送请求，处理响应的机制。</p>
<p>&lt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 08:44:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/the/" title="The">The</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95/" title="表单">表单</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/querystring/" title="querystring">querystring</a>, <a href="https://www.iamivan.net/tag/requests/" title="requests">requests</a>, <a href="https://www.iamivan.net/tag/request%e5%87%bd%e6%95%b0/" title="request函数">request函数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>AJAX Hacks 之HACK2. 使用Request对象与服务器进行数据传递的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQPxLp.html" rel="bookmark">AJAX入门---五步使用XMLHttpRequest对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				         XMLHttpRequest简介:          XMLHttpRequest对象可以在不向服务器提交整个页面的情况下,实现局部更新网页.当页面全部加载完毕后,客户端通过该对象向服务器请求数据,服务器端接受数据并处理后,向客户端反馈数据.XMLHttpRequest 对象提供了对 HTTP 协议的完全的访问,包括做出 POST 和 HEAD 请求以及普通的 GET 请求的能力.XMLHttpRequest 可以同步或异步返回 Web 服务器的响应,并且能以文本或者一个 DO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEQ5wp.html" rel="bookmark">Ajax 高级功能之ajax向服务器发送数据&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 准备向服务器发送数据 Ajax 最常见的一大用途是向服务器发送数据.最典型的情况是从 客户端发送表单数据,即用户在form元素所含的各个 input 元素里输入的值.下面代码展示了一张简单的表单: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;基本表单&lt;/title&gt; &lt;style&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO9OnQM.html" rel="bookmark">Ajax 高级功能之ajax向服务器发送数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 准备向服务器发送数据 Ajax 最常见的一大用途是向服务器发送数据.最典型的情况是从 客户端发送表单数据,即用户在form元素所含的各个 input 元素里输入的值.下面代码展示了一张简单的表单: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;基本表单&lt;/title&gt; &lt;style&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boJx3z.html" rel="bookmark">AJAX Hacks 之HACK3&period; 使用独立的文件来取得http request</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|request AJAX Hacks 之HACK3. 使用独立的文件来取得http request 本节讲述将初始化request对象的代码从其他代码中抽取出来,作为一个单独的JavaScrip文件来使用. 当一个Ajax应用程序很大的时候,理清每部分的功能是很有必要的.所以把管理XMLHttpRequest对象的代码作为一个独立的js文件保存,如果某个页面使用到它,就将它加载近来,这样做无疑更容易管理.当代码需要修改时,只需修改该文件就是. hack将所有的和request-obje			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr0Ovz.html" rel="bookmark">AJAX Hacks 之HACK1&period; 检测浏览器的兼容性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|浏览器 AJAX Hacks 之HACK1. 检测浏览器的兼容性 本节介绍如何使用JavaScript 建立起IE或Mozilla浏览器相应的请求对象.客户端使用的浏览器是各种各样的.因此也有不同的请求对象.如在Firefox, Netscape, Safari,Opera中是XMLHttpRequest.IE则是Microsoft.XMLHTTP 或 Msxml2.XMLHTTP. 使用AJAX的第一步是检测客户浏览器的类型,根据相应的类型取得request 对象.下面就是取得该对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zexvxp.html" rel="bookmark">AJAX Hacks之Hack 4&period; 接收XML格式的数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|xml|数据 AJAX Hacks之Hack 4. 接收XML格式的数据 当前的许多交换数据的技术都使用XML格式的数据,那是因为XML格式的数据被广泛的使用和支持.因此,不同用户可以已有的技术来生成.发送.接收XML数据而不需要使用别的工具转换数据的格式. 一个典型的例子就是一个GPS设备可以在任何地方共享它需要的数据.无论是在远行.或是户外活动,当把设备插入到计算机的UBS接口后,就可以向web发送数据了.GPS软件被设置为默认支持XML格式的数据.而web也使用xml格式的数据.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0eJ1z.html" rel="bookmark">深入理解ajax系列第一篇之XHR对象&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面的话 ajax是asynchronous javascript and XML的简写,中文翻译是异步的javascript和XML,这一技术能够向服务器请求额外的数据而无须卸载页面,会带来更好的用户体验.虽然名字中包含XML,但ajax通信与数据格式无关.下面将详细介绍ajax的内容  创建 ajax技术的核心是XMLHttpRequest对象(简称XHR),这是由微软首先引入的一个特性,其他浏览器提供商后来都提供了相同的实现.XHR为向服务器发送请求和解析服务器响应提供了流畅的接口,能够以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0WZJb.html" rel="bookmark">多次请求会创建多个request对象吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 多次请求会创建多个request对象吗? 两种情况:1)我多次向同一应用发送不同请求2)多人向同一应用发送请求 解决方案 两种情况都会创建多个request. 解决方案二: http有keepalive			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPZ3lb.html" rel="bookmark">Ajax hacks 之绪论：告别页面刷新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|刷新|页面         曾记得INTERNET被用户称作&quot;world wide wait&quot;吗? web又回到了新石器时代了么? 在许多应用中, web仍然没有得到很大的改变.充斥着form.按钮,页面转移,等待,页面刷新,纠正错误,点击.等待--这可真够受的.  现在的许多网站,例如许多经过精心设计的网站得到了很大的提高.需要更多的用户响应,这样浏览器会在服务器处理完以后才得到响应. 例如google map就是这样工作的:客户机会将所有的信息缓存起来,这样用户在移动地图			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYBDrp.html" rel="bookmark" class="title">2天驾驭DIV&plus;CSS！第一课</a>
					<div>
						当你看完教程,肯定会说XHTML+CSS就这么简单!easy! [例子] 要求: 1)宽度.高度均是200像素: 2)颜色为红色#900: 自己做做,看看能不能作出来?先不要看我的代码,如果真的做不出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP2qmb.html" rel="bookmark" class="title">MySQL数据库的root口令恢复方法总结</a>
					<div>
						MySQL数据库的root口令恢复方法总结 方法一 1. 下载MySQL源码分发包,不用区分操作系统,我们需要的东西是一样的: 2. 重命名自己的mysql的data目录下的mysql文件夹为oldm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5dlnM.html" rel="bookmark" class="title">Java Bean 生成器</a>
					<div>
						这是一个java bean生成器,利用一个文本文件(不妨称为bean定义文件)生成java bean. 开发过程中我们可能会用到很多数据对象(值对象),大都被封装成一个bean.虽然各大 IDE都提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RR33p.html" rel="bookmark" class="title">一个ASP生成SQL命令字符串的类</a>
					<div>
						具体使用的时候还需要改进,当然,这样子做的话可能会降低效率,不过使用在某些特定的小规模的应用上是很有用的. &lt;% '生成SQL字符串的类. '原作:无名氏 '改进:aloxy 'E-mail:s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyryBdp.html" rel="bookmark" class="title">WorldWind系列三</a>
					<div>
						简单功能分析--主窗体的键盘监听处理及拷贝和粘贴位置坐标功能 在分析功能时发现,各功能都有自己的快捷键相应,比如今天要分析的 Copy Coordinates (Ctrl+C)和Paste Coord ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balnG2z.html" rel="bookmark" class="title">photoshop极坐标制作放射背景</a>
					<div>
						教程多次使用极坐标巧妙的把一些填充图案变成非常实用的背景图片,然后再变色及重新使用其它滤镜制作出很艺术的效果! 最终效果 1.新建一个30×5的透明背景图像,选择其中一半并填充黑色(可[CTRL_+] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNkGWM.html" rel="bookmark" class="title">电脑安装Office2010出错提示1402错误该怎么办</a>
					<div>
						  遇到Office1402安装出错提示1402错误该如何解决呢?下面就给大家分享下解决方法. 方法如下: 1.按Win+R键,打开运行,输入regedit,回车进入注册表编辑器; 2.展开至1402 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKd84M.html" rel="bookmark" class="title">懒人必学的后期小窍门</a>
					<div>
						  让皮肤更光滑的小窍门 专业修图师为了让人像皮肤看起来更光滑自然,常常一耗就是几个小时.而我们这种没耐心的人,更偏爱简单的快速修复法. 在PS中打开需要修复的照片,先复制图层,然后点击滤镜&gt;其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArlXnp.html" rel="bookmark" class="title">Win7回收站清空后恢复删除文件方法</a>
					<div>
						  平时小伙伴删除文件之后是不是也会顺手清空回收站呢?如果清空回收站之的又想恢复回来要怎么做?下面就让小编来告诉你回收站数据恢复的方法. 步骤1.选择媒体类型:硬盘驱动器 选择媒体类型 步骤2.选择需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjee5b.html" rel="bookmark" class="title">Windows 7系统关闭触控屏的方法</a>
					<div>
						  方法1 一.打开控制面板,点击&quot;笔和触摸&quot;; 二.打开的界面中,点击&quot;触摸&quot;,取消&quot;将手指用作输入设备&quot;勾选,点击&quot;应用&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZQrlb.html" rel="bookmark" class="title">如何让OSX 10&period;9 Mavericks显示资源库文件夹？</a>
					<div>
						  自从 OS X Lion 开始,苹果就对用户的资源库文件夹(Library)默认隐藏.而很多时候往往都要用到这个文件夹,因此对于 Mac 比较熟悉的用户还是有必要让其显示出来.在 Mountain ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2rX7b.html" rel="bookmark" class="title">UIKit 框架之UISearchBar、UITableViewController</a>
					<div>
						// // tableViewController.m // tableVC // // Created by City--Online on 15/6/1. // Copyright (c) 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqgBeb.html" rel="bookmark" class="title">Windows Server 2008解决无法正常启动软路由</a>
					<div>
						有一台计算机安装了Windows Server 2008系统,平时在该系统中上网访问很正常,最近不知道什么原因,每次上网访问时,系统屏幕上总会出现Windows无法在本地正常启动Routing and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW29Gqb.html" rel="bookmark" class="title">谁先看到苏神咬人&quest; 世界杯直播背后的云</a>
					<div>
						本文讲的是谁先看到苏神咬人? 世界杯直播背后的云,当苏亚雷斯咬人时,北京豪门盛宴现场和云南小镇的球迷谁先看到这滑稽的一幕?答案是&quot;几乎同时&quot;.今年的央视世界杯直播有很大的进步,除了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV1eZb.html" rel="bookmark" class="title">图片-如何给AS3程序背景变化功能</a>
					<div>
						问题描述 如何给AS3程序背景变化功能 就是怎么样给一个AS3程序界面的背景不断更换图片,并且保证程序不受影响,. 要具体做法! 解决方案 用时钟多线程在后台处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAQoKM.html" rel="bookmark" class="title">关于java程序通过命令调用Androidjar包疑难杂症？求高手指点</a>
					<div>
						问题描述 现状:本人通过在本地cmd命令行下调用Android的jar包可以执行成功(java-jarsignapk.jartestkey.x509.pemtestkey.pk8ParentManag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRagjb.html" rel="bookmark" class="title">单链表-C语言选择排序法和冒泡法区别问题</a>
					<div>
						问题描述 C语言选择排序法和冒泡法区别问题 编程实现将给定的一组整数采用选择排序法按由小到大的顺序排序.要求: 1) 编写函数create()根据已知整数数组构造一个单链表,假设结点只有一个整数数据域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYykb.html" rel="bookmark" class="title">如何用gdi&plus;来指定一行中文本的不同的颜色？</a>
					<div>
						问题描述 如何用gdi+来指定一行中文本的不同的颜色? 如何用gdi+来指定一行中文本的不同的颜色,效果就是输出的一行字符中我指定的几个字符为特定的颜色表示,该如何做呢? 解决方案 指定一行中文本不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rj0kb.html" rel="bookmark" class="title">SQLServer &CenterDot; 特性分析 &CenterDot; SQL Server 2012的分析函数未必都理解透了（1）</a>
					<div>
						title: SQLServer · 特性分析 · SQL Server 2012的分析函数未必都理解透了 author: 石沫 1. 背景 最近有用户在做一些项目,使用到SQL SERVER 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB0yGM.html" rel="bookmark" class="title">美国选战大打科技牌：吸引优秀移民 加大教育投资</a>
					<div>
						腾讯科技讯(无忌)北京时间10月15日消息,据国外媒体报道,拥有2万多成员的科技组织&quot;纽约科技大会&quot;(New York Tech Meetup)上周对外展示了分别来自于奥巴马和罗姆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBG1az.html" rel="bookmark" class="title">网站产品怎样在移动互联时代制定移动化策略</a>
					<div>
						对于当今的互联网时代,最火爆的无疑是移动互联网,无论开发者还是普通用户,几乎所有人都在谈论它.传统互联网用户所习惯的那些访问内容.使用服务的交互方式正在被智能手机.平板电脑等设备迅猛的改变.作为线上内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq3Bjb.html" rel="bookmark" class="title">新政前后的购销图景直击：两个人的楼市</a>
					<div>
						今年北京春季房展会上,买卖双方切磋.本报记者 胡雪柏 摄 一个是蹚地产浑水却屡屡能摸着鱼的开发商,一个是战战兢兢热情有余钱包不鼓的买房人:一个是从政府主导的土地财政中嗅出商业意味的Stakeholde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjkWwM.html" rel="bookmark" class="title">java web 开发 增加 &sol;修改 Dialog问题</a>
					<div>
						问题描述 java web 开发 增加 /修改 Dialog问题 现在看到很多系统增加/修改都采用这样的实现方式,如图:增加 和修改后都可以回到原来的页面 还进行了刷新 请各位指点一下 ,如有类似的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeodZjM.html" rel="bookmark" class="title">日均十亿级别的数据如何做到秒导、秒查？</a>
					<div>
						讲师介绍  曹犟神策数据CTO  曾就职于百度,拥有数据收集.传输.建模.海量处理.分析.应用等实践经验,曾任极路由数据总监.   很多朋友想知道神策分析是如何实现在每天十亿级别数据的情况下能做到秒级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22KAZb.html" rel="bookmark" class="title">求页面录入数据的【暂存】机制？</a>
					<div>
						问题描述 求页面录入数据的[暂存]机制? 通常页面上需要录入大量的信息,如注册简历,当响应超时或者电脑死机等突发情况出现时,用户只能再次录入信息,如何提供一个[暂存]机制,使得用户录入少量的数据也可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkE5Qz.html" rel="bookmark" class="title">删除文件或文件夹时出错，无法删除找不到指定文件 怎么办</a>
					<div>
						以前我的网站是放在iis服务器上,上面不但可以支持asp,php 其实这是利用系统保留文件名来创建无法删除的webshell. Windows 下不能够以下面这些字样来命名文件/文件夹:  代码如下  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYjKVb.html" rel="bookmark" class="title">基于jQuery的Web上传插件Uploadify使用示例&lowbar;jquery</a>
					<div>
						Uploadify是一款功能强大,高度可定制的文件上传插件,实现的效果非常不错,带进度显示.在最简单的方式下,Uploadify使用很少的代码就可以运行起来. Uploadify官方下载地址:http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0P45z.html" rel="bookmark" class="title">炫彩变色菜单</a>
					<div>
						网页特效 插件下载 网络学院 下载基地 网站联盟 网站建设					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQ9aM.html" rel="bookmark" class="title">网站进入百度沙盒的解决办法</a>
					<div>
						漫长的八天长假已经结束了,在这段时间里我们收获了很多的快乐--以为回来时我们的网站又要遭百度的&quot;黑手&quot;呢,没有想到百度不但再下狠手,居然还给了我们一个大惊喜,我们的网站居然从沙盒里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nxdxp.html" rel="bookmark" class="title">超越存储，历久弥新！新华三发布入门级存储产品</a>
					<div>
						2016年9月14日,新华三在京召开主题为&lt;超越存储,历久弥新&gt;的产品发布会,在回顾新华三存储十七年来取得的成绩的基础上,推出了四款针对不同领域和行业的入门级存储新产品.新华三集团存储产品 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
